Debian Bug report logs - #620210
pu: package samba/2:3.5.6~dfsg3-squeeze3

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Thu, 31 Mar 2011 06:27:01 UTC

Severity: normal

Tags: confirmed

Fixed in version 6.0.2

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Thu, 31 Mar 2011 06:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 31 Mar 2011 06:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Thu, 31 Mar 2011 07:08:39 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

(I sent the same request manually on March 19th. However, after more
thinking, I think that using a bug report makes it easier for the
release team to track things. No intent from me to put pressure on you
folks.....just trying to play nicely.)

Hello,

The samba packaging team would like to upload a new version of samba
3.5.6 in squeeze (that would be 2:3.5.6~dfsg-3squeeze3).

That version fixes three/four important bugs that make samba unusable
in some situations (the first two are likely to be the same bug):

    - Upstream bug 7567: printing from Windows 7 fails with 0x000003e6.
      Closes: #617429
    - Upstream bug 6727: printer device settings not saved for normal
      domain users. Closes: #611177       
    - Upstream bug 7777: winbind leaks gids with idmap ldap backend
      Closes: #613624
    - Upstream bug 7880: rpcclient deldriver does not remove drivers
      from all architectures.


The first two are fixes by patches in attached
bug_611177-617429_upstream_7567.tar.bz2

Next is fixed by the twp patches in
bug_613624_upstream_7777.tar.bz2. Adam indeed already acked this one.

Last bug is fixed by the patch in upstream_7880.tar.bz2. This one is
severity important for anyone running a print server with samba 3.5.6.

Those patches were cherry-picked from upstream's 3.5.8 released
version (these bugs are confirmed fixed in samba 3.5.8).




-- System Information:
Debian Release: wheezy/sid
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[bug_611177-617429_upstream_7567.tar.bz2 (application/x-bzip2, attachment)]
[bug_613624_upstream_7777.tar.bz2 (application/x-bzip2, attachment)]
[upstream_7880.tar.bz2 (application/x-bzip2, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Sat, 16 Apr 2011 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 06:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 620210@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Sat, 16 Apr 2011 08:13:34 +0200
[Message part 1 (text/plain, inline)]
Quoting Christian Perrier (bubulle@debian.org):
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: pu
> 
> (I sent the same request manually on March 19th. However, after more
> thinking, I think that using a bug report makes it easier for the
> release team to track things. No intent from me to put pressure on you
> folks.....just trying to play nicely.)

Ping?


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Tue, 19 Apr 2011 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 19 Apr 2011 19:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 620210@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian Perrier <bubulle@debian.org>, 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Tue, 19 Apr 2011 20:43:37 +0100
On Thu, 2011-03-31 at 07:08 +0200, Christian Perrier wrote:
> The samba packaging team would like to upload a new version of samba
> 3.5.6 in squeeze (that would be 2:3.5.6~dfsg-3squeeze3).

Apologies (again) for the delay in getting back to you.

> That version fixes three/four important bugs that make samba unusable
> in some situations (the first two are likely to be the same bug):
> 
>     - Upstream bug 7567: printing from Windows 7 fails with 0x000003e6.
>       Closes: #617429
>     - Upstream bug 6727: printer device settings not saved for normal
>       domain users. Closes: #611177       
>     - Upstream bug 7777: winbind leaks gids with idmap ldap backend
>       Closes: #613624
>     - Upstream bug 7880: rpcclient deldriver does not remove drivers
>       from all architectures.

I thought I'd asked this before, but I can't find it in the previous
discussions right now - have the patches, particularly the series for
#617429 / #611177 been tested and confirmed to work and not cause any
regressions on Squeeze systems?  I see a note regarding making test
packages available in the log for #611177, but no follow-up.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Wed, 20 Apr 2011 06:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Apr 2011 06:21:09 GMT) Full text and rfc822 format available.

Message #20 received at 620210@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Wed, 20 Apr 2011 06:59:04 +0200
[Message part 1 (text/plain, inline)]
Quoting Adam D. Barratt (adam@adam-barratt.org.uk):

(thanks for coming back on this issue, Adam...and don't worry about
the delay: it's quite obvious that the release team ressources
shrinked recently)

> I thought I'd asked this before, but I can't find it in the previous
> discussions right now - have the patches, particularly the series for
> #617429 / #611177 been tested and confirmed to work and not cause any
> regressions on Squeeze systems?  I see a note regarding making test


I have them working on print servers at work for a few weeks
now. These print servers serve (dozens of) W2K/XP machines mostly and,
up to now we hadn't been able to use them for Win7 64bit machines
(before squeeze upgrade, they were running 3.5.6 backports): printing
works but as soon as someone with printer admin privileges touches to
"Printer Properties" from a Win7 machine, the printer properties in the
TDB file are messed up.

Since the servers run the packages I intend to upload to
propsed-updates, this bug is no longer here....and we started
uploading 64-bit drivers to the servers and migrating the Win7
machines from standalone printing to spooled printing.

This was #611177, of course.

#614429 was not experienced by me. Users reported it got fixed by
3.5.8 but, admittedly, nobody (but usptream author, of course) can
really confirm that the set of patches alone fixes  0x000003e6 errors
on Win7 clients.


The latter two bugs were confirmed fixed by 3.5.8 users. I'm not in
position to reproduce the bugs, so I have to rely on upstream, here...





[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Wed, 27 Apr 2011 11:57:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakob Bohm <jb@wisemo.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 27 Apr 2011 11:57:34 GMT) Full text and rfc822 format available.

Message #25 received at 620210@bugs.debian.org (full text, mbox):

From: Jakob Bohm <jb@wisemo.com>
To: Christian Perrier <bubulle@debian.org>
Cc: 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Wed, 27 Apr 2011 13:12:52 +0200
Hi,

Sorry for butting in on this bug, but as an affected user I was wondering
when preliminary packages would be available either in 
squeeze-proposed-updates
or somewhere else.

So far, all I can see is talk, talk and a failed upload of 3.5.8 to 
backports,
but nothing that looks like it will likely install on squeeze.

(And no, the loose patch files without context or build instructions don't
really help, as I would be left guessing as to how, where and when to apply
them to build a usable package)

So far I have just had to tell Windows 6.x users that they cannot use 
the new
printer!





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Wed, 27 Apr 2011 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 27 Apr 2011 18:42:03 GMT) Full text and rfc822 format available.

Message #30 received at 620210@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Jakob Bohm <jb@wisemo.com>, 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Wed, 27 Apr 2011 18:16:21 +0200
[Message part 1 (text/plain, inline)]
Quoting Jakob Bohm (jb@wisemo.com):
> Hi,
> 
> Sorry for butting in on this bug, but as an affected user I was wondering
> when preliminary packages would be available either in
> squeeze-proposed-updates
> or somewhere else.

When the release team approves such an upload. We're all volunteers,
they are volunteers too, so I'm patiently waiting for their input.

> 
> So far, all I can see is talk, talk and a failed upload of 3.5.8 to
> backports,
> but nothing that looks like it will likely install on squeeze.

Incorrect. 3.5.8 is in backports.

Sorry, Sir, but I don't have any service obligation to You. I'm doing
my best to maintain samba packages in Debian, with the help of a few
other developers and contributors. I'm really sorry that this work
doesn't fit your needs in terms of reactivity.


This approach seems anyway to be fairly successful as of now, with a
quite correct balance between user needs (including mine: I was also
hit by the 3.5.6 problems you faced) and the technical choice of the
project, such as a stable stable distribution. It probably cannot fit
everybody's expectations: I don't really see what I can improve, here.




[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Sat, 30 Apr 2011 11:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 11:00:27 GMT) Full text and rfc822 format available.

Message #35 received at 620210@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian PERRIER <bubulle@debian.org>, 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Sat, 30 Apr 2011 11:56:33 +0100
tag 620210 + confirmed
thanks

On Wed, 2011-04-20 at 06:59 +0200, Christian PERRIER wrote:
> Since the servers run the packages I intend to upload to
> propsed-updates, this bug is no longer here....and we started
> uploading 64-bit drivers to the servers and migrating the Win7
> machines from standalone printing to spooled printing.
> 
> This was #611177, of course.
> 
> #614429 was not experienced by me. Users reported it got fixed by
> 3.5.8 but, admittedly, nobody (but usptream author, of course) can
> really confirm that the set of patches alone fixes  0x000003e6 errors
> on Win7 clients.
> 
> 
> The latter two bugs were confirmed fixed by 3.5.8 users. I'm not in
> position to reproduce the bugs, so I have to rely on upstream, here...

Thanks, and for your patience with us on this.

Please feel free to go ahead with the upload.

Regards,

Adam





Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 30 Apr 2011 11:00:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Sun, 01 May 2011 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 May 2011 10:51:08 GMT) Full text and rfc822 format available.

Message #42 received at 620210@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Sun, 1 May 2011 12:43:31 +0200
[Message part 1 (text/plain, inline)]
Quoting Adam D. Barratt (adam@adam-barratt.org.uk):

> Thanks, and for your patience with us on this.
> 
> Please feel free to go ahead with the upload.

I uploaded the new package this morning. debdiff attached. Picky
people will notice that this version also drop an accidental change
that leaked into the squeeze2 package: an extra, empty, nohup.out file
on top of the source tree and the relevant debian/patches patch.

Apart from that minor change (which I didn't think relevant for being
documented in the changelog), the changes are exactly those I proposed
in #620210.


[debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620210; Package release.debian.org. (Sun, 01 May 2011 17:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 May 2011 17:27:06 GMT) Full text and rfc822 format available.

Message #47 received at 620210@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian PERRIER <bubulle@debian.org>, 620210@bugs.debian.org
Subject: Re: Bug#620210: pu: package samba/2:3.5.6~dfsg3-squeeze3
Date: Sun, 01 May 2011 18:25:12 +0100
tag 620210 + pending
thanks

On Sun, 2011-05-01 at 12:43 +0200, Christian PERRIER wrote:
> Quoting Adam D. Barratt (adam@adam-barratt.org.uk):
> 
> > Thanks, and for your patience with us on this.
> > 
> > Please feel free to go ahead with the upload.
> 
> I uploaded the new package this morning. debdiff attached.

Thanks.  I've flagged the package for acceptance at the next dinstall.

> Picky
> people will notice that this version also drop an accidental change
> that leaked into the squeeze2 package: an extra, empty, nohup.out file
> on top of the source tree and the relevant debian/patches patch.

I noticed it, but wasn't going to comment on it; clearing up cruft that
shouldn't be in the package in the first place generally isn't a
problem. :-)

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 01 May 2011 17:27:07 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.2, send any further explanations to Christian Perrier <bubulle@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Jun 2011 15:03:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:32:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:21:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.